This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 622820 - Review Request: acgvision-agent - Monitoring client for ACGVision
Review Request: acgvision-agent - Monitoring client for ACGVision
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
http://launchpad.net/acgvision-agent
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-08-10 09:45 EDT by Rémi Debay
Modified: 2010-12-21 02:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 02:57:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rémi Debay 2010-08-10 09:45:23 EDT
Spec URL: http://launchpad.net/acgvision-agent/5.1.6/5.1.6-fedora/+download/acgvision-agent.spec
SRPM URL: http://launchpad.net/acgvision-agent/5.1.6/5.1.6-fedora/+download/acgvision-agent-5.1.6-1.fc15.src.rpm
Description: 


Hi all,

I just finished packaged acgvision-agent. Could anyone review my package so that I could get it onto Fedora repositories?

ACGVision is a monitoring sofware (like nagios) and this is the client software.

It's my really first fedora package (and RPM)so please tell me about anything s going wrong with my package.

Thanks 

Rémi Debay
Comment 1 Alexander Kurtakov 2010-08-31 04:05:35 EDT
I'll take this one.
Comment 2 Alexander Kurtakov 2010-09-05 06:14:47 EDT
Let me know when you get the javadoc subpackage fixed and I'll do the review.
Comment 3 Rémi Debay 2010-09-14 11:51:22 EDT
Hi

I uploaded the new spec file with the javadoc.

You can download it there :
http://launchpad.net/acgvision-agent/5.1.6/5.1.6-fedora/+download/acgvision-agent.2.spec

Thanks for your help

Rémi
Comment 4 Alexander Kurtakov 2010-09-17 07:04:09 EDT
Please upload the new srpm too. So I can be sure I'm reviewing exactly what you have.
Comment 5 Rémi Debay 2010-09-17 07:57:14 EDT
Oh sorry i forgot to upload this

Here is it :

http://edge.launchpad.net/acgvision-agent/5.1.6/5.1.6-fedora/+download/acgvision-agent-5.1.6-2.fc15.src.rpm
Comment 6 Alexander Kurtakov 2010-11-09 11:07:39 EST
Sorry for the delay I missed your last comment.
Do you still want me to do the review?
Comment 7 Rémi Debay 2010-11-09 11:23:46 EST
No worries, Yes I d be happy if u could review my package.
Comment 8 Alexander Kurtakov 2010-11-09 15:21:01 EST
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
 acgvision-agent-javadoc.noarch: W: non-standard-group Development Documentation
Use Documentation only
./SPECS/acgvision-agent.spec: W: no-cleaning-of-buildroot %install
Not a problem in recent Fedora.
./SPECS/acgvision-agent.spec:54: W: mixed-use-of-spaces-and-tabs (spaces: line 54, tab: line 1)
Please use either tabs or spaces.
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines.
You miss the following requires
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts

[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
License type:GPLv2 in spec but GPLv3 in the copying.txt and license files shipped with sources
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :f91be30d4fb8fad9d5e15f8e51b28482
MD5SUM upstream package:f91be30d4fb8fad9d5e15f8e51b28482
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that trball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x ]  All filenames in rpm packages must be valid UTF-8.

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Javadocs are placed in %{_javadocdir}/%{name}-%{version} with %{_javadocdir}/%{name} symlink
[x]  Jar files are installed to %{_javadir}/%{name}-%{version}.jar with %{_javadir}/%{name}.jar (unversioned) symlink
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant 
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.


=== Issues ===
1. Fix rpmlint
2. Fix missing requires per guidelines
3. Fix license
4. Replace hardcoded directories with macroses per http://fedoraproject.org/wiki/Packaging:RPMMacros
Comment 9 Alexander Kurtakov 2010-12-08 03:41:02 EST
Still interested?
If not I'll close the bug shortly.
Comment 10 Alexander Kurtakov 2010-12-21 02:57:41 EST
I'm closing the bug. Please reopen once you have time for it again.

Note You need to log in before you can comment on or make changes to this bug.